ALTER DATABASE(7)

NAME
ALTER DATABASE - change a database

SYNOPSIS

ALTER DATABASE name SET variable { TO | = } { value | DEFAULT }
ALTER DATABASE name RESET variable

DESCRIPTION

ALTER DATABASE is used to change the session default of a run-time configuration variable for a PostgreSQL database. Whenever a new session is subsequently started in that database, the specified value becomes the session default value. The database-specific default overrides whatever setting is present in postgresql.conf or has been received from the postmaster.

Only a superuser or the database owner can change the session defaults for a database.

  PARAMETERS

name
    The name of the database whose session defaults are to be altered.

variable

value
    Set the session default for this database of the specified configuration variable to the given value. If value is DEFAULT or, equivalently, RESET is used, the database-specific variable setting is removed and the system-wide default setting will be inherited in new sessions. Use RESET ALL to clear all settings. See SET [set(7)] and the Administrator's Guide for more information about allowed variable names and values.

DIAGNOSTICS

ALTER DATABASE
    Message returned if the alteration was successful.

ERROR: database "dbname" does not exist
    Error message returned if the specified database is not known to the system.

NOTES

Using ALTER USER [alter_user(7)], it is also possible to tie a session default to a specific user rather than a database. User-specific settings override database-specific ones if there is a conflict.

EXAMPLES

To disable index scans by default in the database test:

ALTER DATABASE test SET enable_indexscan TO off;

COMPATIBILITY

The ALTER DATABASE statement is a PostgreSQL extension.

SEE ALSO
ALTER USER [alter_user(7)], CREATE DATABASE [create_database(l)], DROP DATABASE [drop_database(l)], SET [set(l)]